> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Récupérer un attribut

> Renvoie un attribut par son identifiant.

Renvoie un attribut par son identifiant.

```json Réponse theme={null}
{
  "attributesByPk": {
    "id": 1,
    "name": "Taille",
    "values": [
      {
        "id": 11,
        "description": "S",
        "index": 1
      },
      {
        "id": 12,
        "description": "M",
        "index": 2
      },
      {
        "id": 13,
        "description": "L",
        "index": 3
      }
    ]
  }
}
```


## OpenAPI

````yaml openapi.json GET /attributes/{id}
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /attributes/{id}:
    get:
      summary: Retrieve an attribute
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - description: _"id" is required as part of the path_
          in: path
          name: id
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  attributesByPk:
                    nullable: true
                    properties:
                      id:
                        nullable: false
                        type: integer
                      name:
                        nullable: false
                        type: string
                      values:
                        items:
                          nullable: false
                          properties:
                            description:
                              nullable: false
                              type: string
                            id:
                              nullable: false
                              type: integer
                            index:
                              nullable: false
                              type: integer
                          type: object
                        nullable: false
                        type: array
                    type: object
          description: Response

````